var classNames = require('classnames');
var React = require('react');

var ConfigFieldPassword = React.createClass({
  handleOnChange: function(e) {
    if (this.props.handleChange) {
      this.props.handleChange(this.props.name, e.target.value);
    }
  },

  render: function() {
    var inputClasses = classNames('form-control', {
      'readonly': this.props.readOnly
    });

    return (
      <div className="field field-type-password">
        <label>{this.props.title}</label>
        <div className="input input-type-password">
          <input
            type="password"
            name={this.props.name}
            placeholder={this.props.default}
            value={this.props.value}
            readOnly={this.props.readOnly}
            onChange={this.handleOnChange}
            className={inputClasses} />
        </div>
      </div>
    );
  }
});

module.exports = ConfigFieldPassword;
