var classNames = require('classnames');
var React = require('react');

var ConfigFieldText = React.createClass({
  handleOnChange: function(e) {
    if (this.props.handleChange) {
      this.props.handleChange(this.props.name, e.target.value);
    }
  },

  render: function() {
    var inputClasses = classNames('form-control', {
      'readonly': this.props.readOnly
    });

    return (
      <div className="field field-type-text">
        <label>{this.props.title}</label>
        <div className="input input-type-text">
          <input
            type="text"
            placeholder={this.props.default}
            value={this.props.value}
            readOnly={this.props.readOnly}
            onChange={this.handleOnChange}
            className={inputClasses} />
        </div>
      </div>
    );
  }
});

module.exports = ConfigFieldText;
