var _ = require('lodash');
var React = require('react');

var ConfigGroup = require('./ConfigGroup.jsx');

var ConfigGroups = React.createClass({
  handleGroupChange: function(groupName, itemName, value, data) {
    if (this.props.handleChange) {
      this.props.handleChange(groupName, itemName, value, data);
    }
  },

  render: function() {
    var groups = [];
    _.each(this.props.groups, function(group) {
      if (!_.isEmpty(group)) {
        groups.push(
          <ConfigGroup
            key={group.name}
            group={group}
            handleChange={this.handleGroupChange.bind(this, group.name)}
            testUrl={this.props.testUrl} />
        );
      }
    }.bind(this));

    return (
      <div className="replicated-config">
        {groups}
      </div>
    );
  }
});

module.exports = ConfigGroups;
