var React = require('react');

var FileInput = require('./FileInput.jsx');

var ConfigFieldFile = React.createClass({
  handleOnChange: function(fileName, fileData) {
    this.refs.file.getDOMNode().value = '';
    if (this.props.handleChange) {
      this.props.handleChange(this.props.name, fileName, fileData);
    }
  },

  render: function() {
    return (
      <div className="field field-type-file">
        <label>{this.props.title}</label>
        <div className="input input-type-file clearfix">
          <div>
            <span>
              <FileInput
                ref="file"
                name={this.props.name}
                readOnly={this.props.readonly}
                onChange={this.handleOnChange} />
            </span>
            <small>{this.props.value ? this.props.value : this.props.default}</small>
          </div>
        </div>
      </div>
    );
  }
});

module.exports = ConfigFieldFile;
