var React = require('react');

var ConfigItemTitle = React.createClass({
  render: function() {
    var nodes = [
      <span key={this.props.name + 'title'}>{this.props.title}</span>
    ];
    if (this.props.required) {
      nodes.push(<span key={this.props.name + 'required'}> <small className="text-muted">(Required)</small></span>);
    } else if (this.props.recommended) {
      nodes.push(<span key={this.props.name + 'recommended'}> <small className="text-muted">(Recommended)</small></span>);
    }
    return <span>{nodes}</span>;
  }
});

module.exports = ConfigItemTitle;
