var _ = require('lodash');
var marked = require('marked');
var classNames = require('classnames');
var React = require('react');

var Markdown = React.createClass({
  componentDidMount: function() {
    this.openLinksInNewWindow();
  },

  componentDidUpdate: function() {
    this.openLinksInNewWindow();
  },

  openLinksInNewWindow: function() {
    _.each(this.getDOMNode().getElementsByTagName('a'), function(el) {
      el.setAttribute('target', '_blank');
    });
  },

  render: function() {
    var classes = classNames('markdown', this.props.className);
    var md = '',
      err = null;
    if (this.props.value) {
      try {
        md = marked(this.props.value);
      } catch (e) {
        err = e.toString();
      }
    }
    return (
      <div>
        <div className={classes}
          dangerouslySetInnerHTML={{__html: md}} />
        <div className="text-danger">{err}</div>
      </div>
    );
  }
});

module.exports = Markdown;
